## golang-github-containers-toolbox 0.0.99.3+git20230118+446d7bfdef6a

=== meson_options.txt ===
option(
  'bash_completions_dir',
  description: 'Directory for Bash completion scripts',
  type: 'string',
)

option(
  'fish_completions_dir',
  description: 'Directory for fish completion scripts',
  type: 'string',
)

option(
  'zsh_completions_dir',
  description: 'Directory for Z shell completion scripts (default=$datadir/zsh/site-functions)',
  type: 'string',
)

option(
  'migration_path_for_coreos_toolbox',
  description: 'Offer a migration path to users of github.com/coreos/toolbox',
  type: 'boolean',
  value: false
)

option(
  'profile_dir',
  description: 'Directory for profile.d files to be read by the shell on start-up',
  type: 'string',
  value: '/usr/share/profile.d'
)

option(
  'tmpfiles_dir',
  description: 'Directory for system-wide tmpfiles.d(5) files',
  type: 'string',
)

## golang-github-containers-toolbox 0.0.99

=== debian/changelog ===
golang-github-containers-toolbox (0.0.99-1) unstable; urgency=medium

  * Initial upload (Closes: #972674).

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 10 Oct 2021 21:03:50 +0200

=== debian/control ===
Source: golang-github-containers-toolbox
Section: utils
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Andrej Shadura <andrewsh@debian.org>,
 Hayley Hughes <hayley@foxes.systems>,
Build-Depends:
 bash-completion,
 debhelper-compat (= 13),
 go-md2man,
 golang-dbus-dev,
 golang-github-briandowns-spinner-dev,
 golang-github-docker-go-units-dev,
 golang-github-fatih-color-dev,
 golang-github-fsnotify-fsnotify-dev,
 golang-github-harrymichal-go-version-dev,
 golang-github-inconshreveable-mousetrap-dev,
 golang-github-konsorten-go-windows-terminal-sequences-dev,
 golang-github-mattn-go-colorable-dev,
 golang-github-mattn-go-isatty-dev,
 golang-github-sirupsen-logrus-dev,
 golang-github-spf13-cobra-dev,
 golang-github-spf13-pflag-dev,
 golang-go,
 golang-golang-x-crypto-dev,
 golang-golang-x-sys-dev,
 meson,
 pkg-config,
 shellcheck,
 systemd,
Standards-Version: 4.5.0
Homepage: https://github.com/containers/toolbox/
Vcs-Browser: https://salsa.debian.org/debian/podman-toolbox
Vcs-Git: https://salsa.debian.org/debian/podman-toolbox.git
Rules-Requires-Root: no

Package: podman-toolbox
Architecture: any
Depends:
 flatpak,
 podman,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 bash-completion,
Built-Using:
 ${misc:Built-Using},
Description: unprivileged development environment using containers
 Toolbox is a tool that offers a familiar package based environment for
 developing and debugging software that runs fully unprivileged using Podman.
 .
 The toolbox container is a fully mutable container; when you see yum install
 ansible for example, that's something you can do inside your toolbox
 container, without affecting the base operating system.

## golang-github-containers-toolbox 0.0.99.2

=== debian/changelog ===
golang-github-containers-toolbox (0.0.99.2-2ubuntu1) jammy; urgency=medium

  * Fix RISC-V build error (LP: #1958132)

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Mon, 17 Jan 2022 13:10:47 +0100

golang-github-containers-toolbox (0.0.99.2-2) unstable; urgency=medium

  * Update the Homepage URL.
  * Update the package description.
  * Provide toolbx.
  * Prefer pkgconf to pkg-config.
  * Update standards version to 4.6.0, no changes needed.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 18 Nov 2021 14:20:32 +0100

golang-github-containers-toolbox (0.0.99.2-1) unstable; urgency=medium

  * New upstream release.
  * Add new build dependency on golang-github-stretchr-testify-dev.
  * Toolbox requires uidmap to run.
  * Refresh patches.
  * Update debian/copyright.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 06 Nov 2021 10:33:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: golang-github-containers-toolbox
 Section: utils
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+X-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Uploaders:
  Andrej Shadura <andrewsh@debian.org>,
  Hayley Hughes <hayley@foxes.systems>,
@@ -22,15 +23,16 @@
  golang-github-sirupsen-logrus-dev,
  golang-github-spf13-cobra-dev,
  golang-github-spf13-pflag-dev,
+ golang-github-stretchr-testify-dev (>= 1.7.0~),
  golang-go,
  golang-golang-x-crypto-dev,
  golang-golang-x-sys-dev,
  meson,
- pkg-config,
+ pkgconf | pkg-config,
  shellcheck,
  systemd,
-Standards-Version: 4.5.0
-Homepage: https://github.com/containers/toolbox/
+Standards-Version: 4.6.0
+Homepage: https://containertoolbx.org/
 Vcs-Browser: https://salsa.debian.org/debian/podman-toolbox
 Vcs-Git: https://salsa.debian.org/debian/podman-toolbox.git
 Rules-Requires-Root: no
@@ -40,16 +42,21 @@
 Depends:
  flatpak,
  podman,
+ uidmap,
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
  bash-completion,
 Built-Using:
  ${misc:Built-Using},
+Provides: toolbx
 Description: unprivileged development environment using containers
- Toolbox is a tool that offers a familiar package based environment for
+ Toolbx is a tool which allows the use of containerised command line
+ environments. It offers a familiar package based environment for
  developing and debugging software that runs fully unprivileged using Podman.
  .
- The toolbox container is a fully mutable container; when you see yum install
- ansible for example, that's something you can do inside your toolbox
+ A toolbx container is a fully mutable container; when you see yum install
+ ansible for example, that's something you can do inside your toolbx
  container, without affecting the base operating system.
+ .
+ Toolbx used to be known as Container Toolbox.

=== debian/rules ===
#!/usr/bin/make -f

PKGNAME=podman-toolbox
GOPKG=github.com/containers/toolbox
GOPATH_TMP=$(CURDIR)/debian/tmp
GOPATH_BUNDLED_VENDOR=$(CURDIR)/debian/gocode
GOPATH_PKG_DESTDIR=$(GOPATH_TMP)/src/$(GOPKG)

# Only search for modules under GOPATH and vendor directories
export GO111MODULE=off
export GOPATH=$(CURDIR):$(GOPATH_TMP):$(GOPATH_BUNDLED_VENDOR):/usr/share/gocode
export GOCACHE=$(GOPATH_TMP)/go-build

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	# Create links to the internal modules under a dir (in GOPATH)
	# named after the exported package name. This is needed to
	# satisfy `go build` when GO111MODULE=off is set
	mkdir -p "$(GOPATH_PKG_DESTDIR)" && \
		cd "$(CURDIR)/src" && \
		find . -mindepth 2 -name '*.go' ! \
			-path "./vendor/*" ! \
			-path "./github.com/containers/toolbox/*" ! \
			-iname '.*' | cut -d'/' -f2 | uniq | \
			xargs -I '{}' ln -sf "$(CURDIR)/src/{}" "$(GOPATH_PKG_DESTDIR)/{}"
	dh_auto_configure -- --buildtype=plain -Dprofile_dir=/etc/profile.d

override_dh_auto_install:
	dh_auto_install
	# Do not install tests
	rm -rf $(CURDIR)/debian/$(PKGNAME)/usr/share/toolbox/test

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(GOPATH_TMP)

override_dh_auto_test:
	-dh_auto_test

=== debian/watch ===
# uscan(1) configuration file.
version=4

opts=filenamemangle=s/.+\/toolbox-(\d\S+)\.tar\.xz/golang-github-containers-toolbox-$1\.tar\.xz/ \
  https://github.com/containers/toolbox/releases .*/download/[^/]*/?toolbox-(\d[-\d\.]+)\.tar\.xz

## golang-github-containers-toolbox 0.0.99.3%2Bgit20230118%2B446d7bfdef6a

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: golang-github-containers-toolbox
 Section: utils
 Priority: optional
-X-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
  Andrej Shadura <andrewsh@debian.org>,
  Hayley Hughes <hayley@foxes.systems>,
 Build-Depends:
+ debhelper-compat (= 13),
+ apache2-utils <!nocheck>,
  bash-completion,
- debhelper-compat (= 13),
+ bats <!nocheck>,
  go-md2man,
  golang-dbus-dev,
  golang-github-briandowns-spinner-dev,
@@ -19,7 +20,6 @@
  golang-github-inconshreveable-mousetrap-dev,
  golang-github-konsorten-go-windows-terminal-sequences-dev,
  golang-github-mattn-go-colorable-dev,
- golang-github-mattn-go-isatty-dev,
  golang-github-sirupsen-logrus-dev,
  golang-github-spf13-cobra-dev,
  golang-github-spf13-pflag-dev,
@@ -28,14 +28,15 @@
  golang-golang-x-crypto-dev,
  golang-golang-x-sys-dev,
  meson,
- pkgconf | pkg-config,
- shellcheck,
+ podman,
+ pkgconf,
+ skopeo <!nocheck>,
+ shellcheck <!nocheck>,
  systemd,
 Standards-Version: 4.6.0
 Homepage: https://containertoolbx.org/
 Vcs-Browser: https://salsa.debian.org/debian/podman-toolbox
 Vcs-Git: https://salsa.debian.org/debian/podman-toolbox.git
-Rules-Requires-Root: no
 
 Package: podman-toolbox
 Architecture: any

## golang-github-containers-toolbox 0.0.99.3+git20230118+446d7bfdef6a

=== debian/changelog ===
golang-github-containers-toolbox (0.0.99.3+git20230118+446d7bfdef6a-2) unstable; urgency=medium

  * Add community images for Debian and Ubuntu.
  * Clarify the community image status in README.Debian.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 29 Jan 2023 17:45:53 +0100

golang-github-containers-toolbox (0.0.99.3+git20230118+446d7bfdef6a-1) unstable; urgency=medium

  * New upstream snapshot (Closes: #1017236).
  * Refresh patches.
  * Update debian/watch to track Git snapshots.
  * Update build dependencies.
  * Install fish completions into the correct location.
  * Don’t fail if dwz fails (it does).
  * Generate completions without fakeroot.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 24 Jan 2023 10:20:01 +0100

golang-github-containers-toolbox (0.0.99.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.
  * Add debian/patches/0005-meson-build-riscv.patch for riscv port
    (Closes: #1006327).

 -- Ileana Dumitrescu <ileanadumi95@protonmail.com>  Thu, 09 Jun 2022 16:19:23 +0300

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,13 @@
 			-path "./github.com/containers/toolbox/*" ! \
 			-iname '.*' | cut -d'/' -f2 | uniq | \
 			xargs -I '{}' ln -sf "$(CURDIR)/src/{}" "$(GOPATH_PKG_DESTDIR)/{}"
-	dh_auto_configure -- --buildtype=plain -Dprofile_dir=/etc/profile.d
+	dh_auto_configure -- --buildtype=plain -Dprofile_dir=/etc/profile.d \
+		-Dfish_completions_dir=/usr/share/fish/vendor_completions.d
+
+ifeq ($(FAKEROOTKEY),)
+override_dh_auto_build:
+	fakeroot dh_auto_build
+endif
 
 override_dh_auto_install:
 	dh_auto_install
@@ -36,5 +42,8 @@
 	dh_auto_clean
 	rm -rf $(GOPATH_TMP)
 
+override_dh_dwz:
+	-dh_dwz
+
 override_dh_auto_test:
 	-dh_auto_test

=== debian/watch ===
--- 
+++ 
@@ -3,3 +3,7 @@
 
 opts=filenamemangle=s/.+\/toolbox-(\d\S+)\.tar\.xz/golang-github-containers-toolbox-$1\.tar\.xz/ \
   https://github.com/containers/toolbox/releases .*/download/[^/]*/?toolbox-(\d[-\d\.]+)\.tar\.xz
+
+opts="mode=git, pgpmode=none, pretty=0.0.99.3+git%cd+%h, repack, compression=xz" \
+   https://github.com/containers/toolbox \
+   HEAD

## golang-github-containers-toolbox 0.0.99.4

=== debian/changelog ===
golang-github-containers-toolbox (0.0.99.4-2) unstable; urgency=medium

  * Team upload.
  * Refresh current patches.
  * Add support for loong64. Closes: #1060883, #1101430.
  * Add missing build-depends on fakeroot. Closes: #1099605, #1101261.
  * Add XS-Go-Import-Path field.

 -- Santiago Vila <sanvila@debian.org>  Mon, 05 May 2025 19:35:00 +0200

golang-github-containers-toolbox (0.0.99.4-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch to accommodate changes to the releases page.
  * Add a new dependency on libsubid.
  * Refresh the patch adding Debian and Ubuntu images.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 20 Nov 2024 19:01:10 +0100

golang-github-containers-toolbox (0.0.99.3+git20230118+446d7bfdef6a-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace systemd Build-Depends with systemd-dev for systemd.pc.
    (Closes: #1065386)

 -- Michael Biebl <biebl@debian.org>  Wed, 17 Jul 2024 16:59:05 +0200

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  apache2-utils <!nocheck>,
  bash-completion,
  bats <!nocheck>,
+ fakeroot,
  go-md2man,
  golang-dbus-dev,
  golang-github-briandowns-spinner-dev,
@@ -27,16 +28,18 @@
  golang-go,
  golang-golang-x-crypto-dev,
  golang-golang-x-sys-dev,
+ libsubid-dev,
  meson,
  podman,
  pkgconf,
  skopeo <!nocheck>,
  shellcheck <!nocheck>,
- systemd,
+ systemd-dev,
 Standards-Version: 4.6.0
 Homepage: https://containertoolbx.org/
 Vcs-Browser: https://salsa.debian.org/debian/podman-toolbox
 Vcs-Git: https://salsa.debian.org/debian/podman-toolbox.git
+XS-Go-Import-Path: github.com/containers/toolbox
 
 Package: podman-toolbox
 Architecture: any
@@ -46,6 +49,7 @@
  uidmap,
  ${misc:Depends},
  ${shlibs:Depends},
+ ${toolbx:Depends},
 Recommends:
  bash-completion,
 Built-Using:

=== debian/rules ===
--- 
+++ 
@@ -42,6 +42,9 @@
 	dh_auto_clean
 	rm -rf $(GOPATH_TMP)
 
+execute_after_dh_shlibdeps:
+	echo toolbx:Depends=$(shell dpkg-query -f='$${Package}\n' -W 'libsubid[0-9]*' | uniq | sort -nr | head -n1) >> debian/podman-toolbox.substvars
+
 override_dh_dwz:
 	-dh_dwz

=== debian/watch ===
# uscan(1) configuration file.
version=4

opts=downloadurlmangle=s%/tag/@ANY_VERSION@%/download/$1/toolbox-$1.tar.xz%,filenamemangle=s/(\d\S+)/golang-github-containers-toolbox-$1\.tar\.xz/ \
  https://github.com/containers/toolbox/releases .*/releases/tag/@ANY_VERSION@

opts="mode=git, pgpmode=none, pretty=0.0.99.3+git%cd+%h, repack, compression=xz" \
   https://github.com/containers/toolbox \
   HEAD
